using ASHermed.SinoInterface.Api.ContractModel.App;
using System;
using System.Collections.Generic;
using System.Text;

namespace ASHermed.SinoInterface.Api.IService
{
    public interface IVerifyCodeLogService
    {
        int CheckCode(string acc, string code);
        int CheckCodeRes(string acc, string code);
        List<Pub_Verify_Code_Log> FindByIp(string ip);
        List<Pub_Verify_Code_Log> FindByAcc(string acc);

        string GetCode(string account, string ip);

        Dictionary<string, object> SendToSms(string account,string ip, int language);
        bool SendCusSms(string account, string content, int language);
        bool SendCignaSMS(string phone, string content);
    }
}
